> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Message

> Delete an existing message



## OpenAPI

````yaml delete /message
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /message:
    delete:
      tags:
        - Message
      summary: Delete Message
      description: Delete an existing message
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Message ID
          schema:
            type: string
          required: true
        - name: created_at
          in: query
          description: Message creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: conversation_id
          in: query
          description: Conversation ID
          schema:
            type: string
        - name: is_inbound
          in: query
          description: Is the message inbound?
          schema:
            type: string
        - name: subject
          in: query
          description: Subject of message
          schema:
            type: string
        - name: author_id
          in: query
          description: Author ID
          schema:
            type: string
        - name: content
          in: query
          description: Content of message
          schema:
            type: string
        - name: raw_content
          in: query
          description: Raw content of message
          schema:
            type: string
        - name: status
          in: query
          description: Status of message
          schema:
            type: string
        - name: attachment_count
          in: query
          description: Attachment count of message
          schema:
            type: string
        - name: reply_to_message_id
          in: query
          description: Reply to message ID
          schema:
            type: string
        - name: external_files
          in: query
          description: External files of message
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: template_id
          in: query
          description: Template ID
          schema:
            type: string
        - name: review_channel_id
          in: query
          description: Review Channel ID
          schema:
            type: string
        - name: author_type
          in: query
          description: Author type of message
          schema:
            type: string
        - name: forwarded
          in: query
          description: Is message forwarded?
          schema:
            type: string
        - name: forwarded_message_text
          in: query
          description: Forwarded Message text
          schema:
            type: string
        - name: send_after
          in: query
          description: Message send after
          schema:
            type: string
        - name: footer
          in: query
          description: Message footer
          schema:
            type: string
        - name: sendout_id
          in: query
          description: Sendout ID
          schema:
            type: string
        - name: campaign_id
          in: query
          description: Campaign ID
          schema:
            type: string
        - name: sent_at
          in: query
          description: Message sent at
          schema:
            type: string
        - name: timestamp
          in: query
          description: Timestamp of message
          schema:
            type: string
        - name: location
          in: query
          description: Coordinates that are shared via chat
          schema:
            type: string
        - name: location_metadata
          in: query
          description: Location metadata of message
          schema:
            type: string
        - name: contacts
          in: query
          description: Contacts of message
          schema:
            type: string
        - name: files
          in: query
          description: Files shared with the message
          schema:
            type: string
        - name: header_media_filename
          in: query
          description: Header media filename of message
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/message'
          description: The updated Message object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    message:
      type: object
      properties:
        id:
          type: string
          description: Message ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Message creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        conversation_id:
          type: string
          description: Conversation ID
          format: uuid
        is_inbound:
          type: boolean
          description: Is the message inbound?
          format: boolean
          default: false
        subject:
          type: string
          description: Subject of message
          format: text
          nullable: true
        author_id:
          type: string
          description: Author ID
          format: uuid
          nullable: true
        content:
          type: object
          description: Content of message
          format: jsonb
          nullable: true
        raw_content:
          type: string
          description: Raw content of message
          format: text
          nullable: true
        status:
          type: string
          description: Status of message
          format: public.recipient_status
          enum:
            - sent
            - sending_error
            - bounce_error
            - submission_error
            - submitted
            - sending
            - read
            - draft
            - scheduled
            - interacted
            - answered
          nullable: true
        attachment_count:
          type: integer
          description: Attachment count of message
          format: integer
          nullable: true
        reply_to_message_id:
          type: string
          description: Reply to message ID
          format: uuid
          nullable: true
        external_files:
          type: object
          description: External files of message
          format: jsonb
          nullable: true
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        template_id:
          type: string
          description: Template ID
          format: uuid
          nullable: true
        review_channel_id:
          type: string
          description: Review Channel ID
          format: uuid
          nullable: true
        author_type:
          type: string
          description: Author type of message
          format: public.author_type
          enum:
            - employee
            - bot
            - external
          nullable: true
        forwarded:
          type: boolean
          description: Is message forwarded?
          format: boolean
          default: false
        forwarded_message_text:
          type: string
          description: Forwarded Message text
          format: text
          nullable: true
        send_after:
          type: string
          description: Message send after
          format: timestamp with time zone
          nullable: true
        footer:
          type: string
          description: Message footer
          format: text
          nullable: true
        sendout_id:
          type: string
          description: Sendout ID
          format: uuid
          nullable: true
        campaign_id:
          type: string
          description: Campaign ID
          format: uuid
          nullable: true
        sent_at:
          type: string
          description: Message sent at
          format: timestamp with time zone
          nullable: true
        timestamp:
          type: string
          description: Timestamp of message
          format: timestamp with time zone
          nullable: true
        location:
          type: string
          description: Coordinates that are shared via chat
          format: extensions.geography(Point,4326)
          nullable: true
        location_metadata:
          type: object
          description: Location metadata of message
          format: jsonb
          nullable: true
        contacts:
          type: object
          description: Contacts of message
          format: jsonb
          nullable: true
        files:
          type: object
          description: Files shared with the message
          format: jsonb
          nullable: true
        header_media_filename:
          type: string
          description: Header media filename of message
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````